Class | Spec::Runner::ExampleGroupRunner
In: | lib/spec/runner/example_group_runner.rb
Parent: | Object

### Methods

example_groups finish load_files new number_of_examples prepare reporter reverse run

### Public Class methods

new(options)

[Source]

       # File lib/spec/runner/example_group_runner.rb, line 4
    4:       def initialize(options)
    5:         @options = options
    6:       end

### Public Instance methods

load_files(files)

[Source]

        # File lib/spec/runner/example_group_runner.rb, line 8
     8:       def load_files(files)
     9:         # It's important that loading files (or choosing not to) stays the
    10:         # responsibility of the ExampleGroupRunner. Some implementations (like)
    11:         # the one using DRb may choose *not* to load files, but instead tell
    12:         # someone else to do it over the wire.
    13:         files.each do |file|
    14:           load file
    15:         end
    16:       end

run()

[Source]

        # File lib/spec/runner/example_group_runner.rb, line 18
    18:       def run
    19:         prepare
    20:         success = true
    21:         example_groups.each do |example_group|
    22:           success = success & example_group.run
    23:         end
    24:         return success
    25:       ensure
    26:         finish
    27:       end

### Protected Instance methods

example_groups()

[Source]

        # File lib/spec/runner/example_group_runner.rb, line 48
    48:       def example_groups
    49:         @options.example_groups
    50:       end

finish()

[Source]

        # File lib/spec/runner/example_group_runner.rb, line 35
    35:       def finish
    36:         reporter.end
    37:         reporter.dump
    38:       end

number_of_examples()

[Source]

        # File lib/spec/runner/example_group_runner.rb, line 52
    52:       def number_of_examples
    53:         @options.number_of_examples
    54:       end

prepare()

[Source]

        # File lib/spec/runner/example_group_runner.rb, line 30
    30:       def prepare
    31:         reporter.start(number_of_examples)
    32:         example_groups.reverse! if reverse
    33:       end

reporter()

[Source]

        # File lib/spec/runner/example_group_runner.rb, line 40
    40:       def reporter
    41:         @options.reporter
    42:       end

reverse()

[Source]

        # File lib/spec/runner/example_group_runner.rb, line 44
    44:       def reverse
    45:         @options.reverse
    46:       end

[Validate]